Subject: Re: anothere inquiry from internet

From: Tom Moock x1301 <[email-masked]>
Date: Mon, 21 Nov 1994 08:48:58 -0800 (PST)

In response to your question about 3D -> 2D conversion:  I don't
know of a program that takes 3d coordinates and returns a "2D"
representation of it.  It brings to mind some sort of 2D optimization,
or flattening, of the structure, that still retains some of the
original relative atom positions.

However, there are programs that take a connection table, with NO
coordinate info, and generates a 2D picture.  Here at MDL we
have a program called LAYOUT, although the demand for it has been
light in the last several years.  Daylight also has a program
DEPICT that runs on smiles codes, and does a similar thing.  There
are a few other database products (Questel Darc) that do not store
coordinates in their databases, but generate them upon retrieval.

-Tom Moock
MDL Info Sys

---

From: "Brian Karlak" <[email-masked]>
Date: Mon, 21 Nov 1994 12:55:51 -0800

I've found that dbtranslate, in Tripos' suite of Unity products, can perform the
3D -> 2D coordinate translation by translating the 3D structure into SMILES or
SLN (which contain only connectivity info, thus stripping the coordinate info)
and then translating that file into a sybmol, sybmol2 or maccs file.

The double translation can be performed with a single Unix command and is very
fast.

Brian Karlak
Onyx Pharmaceuticals